-- Only required if you have packer configured as `opt`
require('buildcmd')
require('statusline')
require('packer_init')
require('keybindings')
--vim.opt.guicursor = " " 

vim.opt.nu = true
vim.opt.relativenumber = true

vim.opt.tabstop = 4
vim.opt.softtabstop = 4
vim.opt.shiftwidth = 4
vim.opt.expandtab = true

vim.opt.smartindent = true

vim.opt.wrap = false
require('nvim-treesitter.configs').setup {
	ensure_installed = { "c", "cpp", "lua", "zig", "go", "sql" },
	sync_install = false,
	auto_install = false,
	highlight = {
		enable = true,
		additional_vim_regex_highlighting = false,
	},
	incremental_selection = {
	},
	indent = {
		enable = true,
	},
    playground = {
        enabled = true,
        persist_queries = false,
    }
}
require('treesitter-context').setup {
    enable = true,
    max_lines = 0,
    min_window_height = 0,
    patterns = {
        zig = {
            'fn',
            'struct',
        },
    },
}
require('nvim-autopairs').setup{}
require('telescope').setup{
    defaults = {
    },
    pickers = {
        find_files = {
            --theme = "dropdown",
        },
        git_files = {
            --theme = "dropdown",
        }
    },
    extensions = {
    }
}
local parser_config = require "nvim-treesitter.parsers".get_parser_configs()
parser_config.zimbu = {
    install_info = {
        url = "D:/Code/zig/treesitter",
        files = {"src/parser.c"},
        generate_requires_npm = true,
        requires_generate_from_grammer = true,
    },
    filetype = "zu",
}
vim.filetype.add({
    extension = {
        odin = "odin"
    }
})
parser_config.odin = {
    install_info = {
        url = "D:\\Code\\odin\\tree-sitter-odin",
        files = {"src/parser.c"}
    },
    filetype = "odin",
}
